// fonts
@mixin font($font_name, $file_name, $weight, $style) {
  @font-face {
    font-display: swap;
    font-family: $font_name;
    font-style: #{$style};
    font-weight: #{$weight};
    src: url('../fonts/#{$file_name}.woff') format('woff'), url('../fonts/#{$file_name}.woff2') format('woff2');
  }
}


// font px to rem
@mixin font-size($font-size, $base-font-size: 16) {
  font-size: $font-size + px;
  font-size: $font-size / $base-font-size + rem;
}


// px to rem
@mixin rem($property, $value) {
  #{$property}: $value + px;
  #{$property}: $value / $base-font-size + rem;
}
